## MbimProxy

MbimProxy — MBIM proxy handling routines

## Functions

MbimProxy * | mbim_proxy_new ()
guint | mbim_proxy_get_n_clients ()
guint | mbim_proxy_get_n_devices ()

## Properties

guint | mbim-proxy-n-clients | Read
guint | mbim-proxy-n-devices | Read

## Types and Values

#define | MBIM_PROXY_SOCKET_PATH
#define | MBIM_PROXY_N_CLIENTS
#define | MBIM_PROXY_N_DEVICES
struct | MbimProxy

## Object Hierarchy

        GObject
        ╰── MbimProxy

## Description

The MbimProxy will setup an abstract socket listening on a predefined address, and will take care of synchronizing the access to a set of shared MBIM ports.

Multiple MbimDevice objects may be connected to the MbimProxy at any given time. The MbimProxy acts as a stateful proxy (all remote MbimDevice objects will need to share the same message sequence).

## Functions

### mbim_proxy_new ()

    MbimProxy *
    mbim_proxy_new (GError **error);

Creates a MbimProxy object.

#### Parameters

error | Return location for error or `NULL`. |

#### Returns

a newly created MbimProxy, or NULL if `error` is set.

[transfer full]

Since: 1.10

### mbim_proxy_get_n_clients ()

    guint
    mbim_proxy_get_n_clients (MbimProxy *self);

Get the number of clients currently connected to the proxy.

[skip]

#### Parameters

self | a MbimProxy. |

#### Returns

a guint.

Since: 1.10

### mbim_proxy_get_n_devices ()

    guint
    mbim_proxy_get_n_devices (MbimProxy *self);

Get the number of devices currently connected to the proxy.

[skip]

#### Parameters

self | a MbimProxy. |

#### Returns

a guint.

Since: 1.10

## Types and Values

### MBIM_PROXY_SOCKET_PATH

    #define MBIM_PROXY_SOCKET_PATH "mbim-proxy"

Symbol defining the default abstract socket name where the MbimProxy will listen.

Since: 1.10

### MBIM_PROXY_N_CLIENTS

    #define MBIM_PROXY_N_CLIENTS "mbim-proxy-n-clients"

Symbol defining the “mbim-proxy-n-clients” property.

Since: 1.10

### MBIM_PROXY_N_DEVICES

    #define MBIM_PROXY_N_DEVICES "mbim-proxy-n-devices"

Symbol defining the “mbim-proxy-n-devices” property.

Since: 1.10

### struct MbimProxy

    struct MbimProxy;

The MbimProxy structure contains private data and should only be accessed using the provided API.

Since: 1.10

## Property Details

### The `“mbim-proxy-n-clients”` property

      “mbim-proxy-n-clients”     guint

Number of clients currently connected to the proxy.

Owner: MbimProxy

Flags: Read

Default value: 0

Since: 1.10

### The `“mbim-proxy-n-devices”` property

      “mbim-proxy-n-devices”     guint

Number of devices currently managed by the proxy.

Owner: MbimProxy

Flags: Read

Default value: 0

Since: 1.10